package com.yinet.bjtj.domain;

import com.yinet.common.annotation.Excel;
import com.yinet.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 【请填写功能名称】对象 bjlj_statistics
 * 
 * @author yinet
 * @date 2020-04-23
 */
public class BjljStatistics extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Integer id;

    /** 区域 */
    @Excel(name = "区域")
    private String areaname;

    /** 个数 */
    @Excel(name = "个数")
    private String quantity;
    /** 个数 */
    @Excel(name = "类型")
    private String type;
    /** 添加时间 */
    @Excel(name = "添加时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date addtime;

    /** 修改时间 */
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date edittime;
    private String number;

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    @Override
    public String toString() {
        return "BjljStatistics{" +
                "id=" + id +
                ", areaname='" + areaname + '\'' +
                ", quantity='" + quantity + '\'' +
                ", type='" + type + '\'' +
                ", addtime=" + addtime +
                ", edittime=" + edittime +
                ", number='" + number + '\'' +
                '}';
    }

    public void setId(Integer id)
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setAreaname(String areaname) 
    {
        this.areaname = areaname;
    }

    public String getAreaname() 
    {
        return areaname;
    }
    public void setQuantity(String quantity) 
    {
        this.quantity = quantity;
    }

    public String getQuantity() 
    {
        return quantity;
    }
    public void setAddtime(Date addtime) 
    {
        this.addtime = addtime;
    }

    public Date getAddtime() 
    {
        return addtime;
    }
    public void setEdittime(Date edittime) 
    {
        this.edittime = edittime;
    }

    public Date getEdittime() 
    {
        return edittime;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

}
